

# ListGlobalResolvers
<a name="API_route53globalresolver_ListGlobalResolvers"></a>

Lists all Route 53 Global Resolver instances in your account with pagination support.

**Important**  
Route 53 Global Resolver is a global service that supports resolvers in multiple Amazon Web Services Regions but you must specify the US East (Ohio) Region to create, update, or otherwise work with Route 53 Global Resolver resources. That is, for example, specify `--region us-east-2` on Amazon CLI commands.

## Request Syntax
<a name="API_route53globalresolver_ListGlobalResolvers_RequestSyntax"></a>

```
GET /global-resolver?max_results={{maxResults}}&next_token={{nextToken}} HTTP/1.1
```

## URI Request Parameters
<a name="API_route53globalresolver_ListGlobalResolvers_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_route53globalresolver_ListGlobalResolvers_RequestSyntax) **   <a name="Route53GlobalResolver-route53globalresolver_ListGlobalResolvers-request-uri-maxResults"></a>
The maximum number of Route 53 Global Resolver instances to return in the response. Valid range is 1-100.

 ** [nextToken](#API_route53globalresolver_ListGlobalResolvers_RequestSyntax) **   <a name="Route53GlobalResolver-route53globalresolver_ListGlobalResolvers-request-uri-nextToken"></a>
The token for the next page of results. This value is returned in the response if there are more results to retrieve.

## Request Body
<a name="API_route53globalresolver_ListGlobalResolvers_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_route53globalresolver_ListGlobalResolvers_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "globalResolvers": [ 
      { 
         "arn": "string",
         "clientToken": "string",
         "createdAt": "string",
         "description": "string",
         "dnsName": "string",
         "id": "string",
         "ipAddressType": "string",
         "ipv4Addresses": [ "string" ],
         "ipv6Addresses": [ "string" ],
         "name": "string",
         "observabilityRegion": "string",
         "regions": [ "string" ],
         "status": "string",
         "updatedAt": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_route53globalresolver_ListGlobalResolvers_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [globalResolvers](#API_route53globalresolver_ListGlobalResolvers_ResponseSyntax) **   <a name="Route53GlobalResolver-route53globalresolver_ListGlobalResolvers-response-globalResolvers"></a>
Paginated list of Global Resolvers.  
Type: Array of [GlobalResolversItem](API_route53globalresolver_GlobalResolversItem.md) objects

 ** [nextToken](#API_route53globalresolver_ListGlobalResolvers_ResponseSyntax) **   <a name="Route53GlobalResolver-route53globalresolver_ListGlobalResolvers-response-nextToken"></a>
A pagination token used for large sets of results that can't be returned in a single response. Provide this token in the next call to get the results not returned in this call.  
Type: String

## Errors
<a name="API_route53globalresolver_ListGlobalResolvers_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You don't have permission to perform this operation. Check your IAM permissions and try again.  
HTTP Status Code: 403

 ** InternalServerException **   
An internal server error occurred. Try again later.    
 ** retryAfterSeconds **   
Number of seconds in which the caller can retry the request.
HTTP Status Code: 500

 ** ThrottlingException **   
The request was throttled due to too many requests. Wait a moment and try again.    
 ** quotaCode **   
The quota code recognized by the Amazon Service Quotas service.  
 ** retryAfterSeconds **   
Number of seconds in which the caller can retry the request.  
 ** serviceCode **   
The code for the Amazon service that owns the quota.
HTTP Status Code: 429

 ** ValidationException **   
The input parameters are invalid. Check the parameter values and try again.    
 ** fieldList **   
The list of fields that aren't valid.  
 ** reason **   
Reason the request failed validation.
HTTP Status Code: 400

## See Also
<a name="API_route53globalresolver_ListGlobalResolvers_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/route53globalresolver-2022-09-27/ListGlobalResolvers) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/route53globalresolver-2022-09-27/ListGlobalResolvers) 
+  [Amazon SDK for C\+\+](https://docs.amazonaws.cn/goto/SdkForCpp/route53globalresolver-2022-09-27/ListGlobalResolvers) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/route53globalresolver-2022-09-27/ListGlobalResolvers) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/route53globalresolver-2022-09-27/ListGlobalResolvers) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/route53globalresolver-2022-09-27/ListGlobalResolvers) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/route53globalresolver-2022-09-27/ListGlobalResolvers) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/route53globalresolver-2022-09-27/ListGlobalResolvers) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/route53globalresolver-2022-09-27/ListGlobalResolvers) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/route53globalresolver-2022-09-27/ListGlobalResolvers) 